# [pinrails](https://nomipinball.bhh.sh)

just a silly little site to help run the pinball tournaments at
[the coin slot](https://thecoinslottc.com/).

currently running on ruby 3.1.2

    bundle install
    RAILS_ENV=production bundle exec rails db:migrate
    RAILS_ENV=production bundle exec assets:precompile

## nginx config:

    server {
        listen 80;
        server_name nomipinball.bhh.sh;
        return 307 https://$server_name$request_uri;
    }
    
    server {
        listen 443 ssl;
        include snippets/ssl/bhh.sh;
        root /srv/pinrails/pinrails/public;
        server_name nomipinball.bhh.sh;
    
        try_files $uri $uri/index.html $uri.html @rails_app;
    
        location @rails_app {
            include proxy_params;
            proxy_pass http://localhost:4000;
        }
    }

## /etc/systemd/system/pinrails.service

    [Unit]
    Description=pinrails
    Wants=network.target
    
    [Service]
    Type=simple
    User=pinrails
    Group=nogroup
    WorkingDirectory=/srv/pinrails/pinrails
    Environment=RAILS_ENV=production
    Environment=PORT=4000
    Environment=RAILS_LOG_TO_STDOUT=true
    ExecStart=/srv/pinrails/.rbenv/shims/bundle exec rails server -b 127.0.0.1
    
    [Install]
    WantedBy=multi-user.target
