# frozen_string_literal: true
# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the bin/rails db:seed command (or created alongside the database with db:setup).
#
# Examples:
#
#   movies = Movie.create([{ name: "Star Wars" }, { name: "Lord of the Rings" }])
#   Character.create(name: "Luke", movie: movies.first)

machines = [
  ["Avengers: Infinity Quest", "Pro"],
  ["Deadpool", "Pro"],
  ["Elvira and the Party Monsters", "Pro"],
  ["Family Guy", "Pro"],
  ["Godzilla", "Pro"],
  ["Goldeneye", "Pro"],
  ["Iron Maiden", "Pro"],
  ["Jurassic Park", "Pro"],
  ["Led Zeppelin", "Pro"],
  ["Mandalorian", "Pro"],
  ["Metallica", "Pro"],
  ["Monster Bash", "Remake"],
  ["Star Wars", "Pro"],
  ["Stranger Things", "Pro"],
  ["Teenage Mutant Ninja Turtles", "Pro"],
  ["The Beatles", "Gold"],
  ["The Sopranos", "Pro"],
]

machines.each do |name, edition|
  Machine.create(name: name, edition: edition)
end
